local BS = AceLibrary("Babble-Spell-2.2")

DrDamage.PlayerAura = {
		--Core buffs
		["Bloodlust"] = { Value = 0.65, ModType = "CastTime" },
		["Heroism"] = { Value = 0.65, ModType = "CastTime" },
		["Totem of Wrath"] = { Value = 3, ModType = "Hit" },

		--Items
		["Spell Haste"] = { School = "All", Value = 0.868, ModType = "CastTime" },
		["Forgotten Knowledge"] = { Value = 0.88477, ModType = "CastTime" }, 
		
		--Random buffs
		["Traces of Silithyst"] = { Value = 0.05 },
		["Berserking"] = { Value = 0.3, Texture = "Spell_Nature_BloodLust", ModType = "Texture" },
		["General's Warcry"] = { Value = 0.3 },	
		["Sayge's Dark Fortune of Damage"] = { Value = 0.1 },
		["Inspiring Presence"] = { Value = 1, ModType = "Hit", },		
		
		--Zone wide
		["Twin Spire Blessing"] = { Value = 0.05, },
		["Blessing of Auchindoun"] = { Value = 0.05, },
		["Strength of the Halaani"] = { Value = 0.05, },
		["Hellfire Superiority"] = { Value = 0.05, },		
		
		-------------------------------------------------------------------------------------------------------------

		--Core debuffs
		["Resurrection Sickness"] = { Value = -0.75 },

		--Raid instances
		["Positive Charge"] = { Value = 1, Apps = true, },
		["Negative Charge"] = { Value = 1, Apps = true, },
		["Nether Portal - Dominance"] = { Value = 0.05, Apps = true },
		["Nether Portal - Serenity"] = { School = "Healing", Value = 0.05, Apps = true },
		["Burning Adrenaline"] = { Value = 1.0 },
		
		--Random debuffs
		["Curse of the Shattered Hand"] = { Value = 0.05 },
		["Vibrant Blood"] = { Value = 0.1 },
		["Vile Sludge"] = { Value = -0.5 },		
}

DrDamage.HealingBuffs = {
		["Amplify Magic"] = { ModType = "RankTable", Ranks = 6, Value = { 30, 60, 100, 150, 180, 240 }, },
		["Quick Recovery"] = { Ranks = 2, Value = 0.1 },
		["Fel Armor"] = { Value = 0.2, },
		["Blessing of Light"] = { ModType = "RankTable2", Ranks = 4, Class = "PALADIN", Spell = { BS["Flash of Light"], BS["Holy Light"] }, Value = { 60, 85, 115, 185 }, Value2 = { 210, 300, 400, 580, }, ActiveAura = true },
		["Greater Blessing of Light"] = { ModType = "RankTable2", Ranks = 2, Class = "PALADIN", Spell = { BS["Flash of Light"], BS["Holy Light"] }, Value = { 115, 185 }, Value2 = { 400, 580, }, ActiveAura = true },
}
	
DrDamage.Debuffs = { 
		--School
		["Curse of Shadow"] = { School = { "Shadow", "Arcane" }, Value = 0.1, Class = { "WARLOCK", "PRIEST", "DRUID", }, Affliction = true, },
		["Shadow Vulnerability"] = { School = "Shadow", Texture = "Spell_Shadow_ShadowBolt", Value = 0.2, Apps2 = true, Value2 = 0.02, Class = { "WARLOCK", "PRIEST", }, ModType = "Texture", },
		["Fire Vulnerability"] = { School = "Fire", Apps = true, Value = 0.03, Class = { "WARLOCK", "SHAMAN", "MAGE", }, },
		["Curse of the Elements"] = { School = { "Fire", "Frost" }, Value = 0.1, Class = { "WARLOCK", "SHAMAN", "MAGE", }, Affliction = true, },
		["Winter's Chill"] = { School = "Frost", Apps = true, Value = 2, ModType = "Crit", Class = { "SHAMAN", "MAGE", }, },
		["Stormstrike"] = { School = "Nature", Value = 0.2, Class = { "DRUID", "SHAMAN", }, },
		
		--General
		["Spell Vulnerability"] = { Value = 0.15 },
		["Misery"] = { Value = 0.01, Ranks = 5, },
		["Berserking"] = { Value = 0.1, Texture = "Spell_Nature_BloodLust", ModType = "Texture" },
		
		--Special cases:
		["Judgement of the Crusader"] = { School = { "Holy", "Physical" }, ModType = "JotC", Ranks = 7, Value = { 20, 30, 50, 80, 110, 140, 190 }, Class = { "PALADIN", "PRIEST" }, },
		
		--Healing
		["Wound Poison"] = { School = "Healing", Apps = 5, Value = -0.1, },
		["Blood Fury"] = { School = "Healing", Value = -0.5, },
		["Mortal Strike"] = { School = "Healing", Value = -0.5, },
		["Hex of Weakness"] = { School = "Healing", Value = -0.2, },
		["Necrotic Poison"] = { School = "Healing", Value = -0.9, },
		["Veil of Shadow"] = { School = "Healing", Value = -0.75, },
		["Nether Portal - Dominance"] = { School = "Healing", Value = -0.01, Apps = true },
}